## pdm 2.26.2

=== chatbot/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

aiohappyeyeballs==2.4.3
aiohttp==3.11.7
aiosignal==1.3.1
aiosqlite==0.21.0
altair==5.4.1
annotated-types==0.7.0
anyio==4.6.2.post1
async-timeout==5.0.1; python_version < "3.11"
attrs==24.2.0
azure-core==1.32.0
azure-identity==1.19.0
banks==2.1.2
beautifulsoup4==4.12.3
blinker==1.9.0
cachetools==5.5.0
certifi==2024.8.30
cffi==1.17.1; platform_python_implementation != "PyPy"
charset-normalizer==3.4.0
click==8.1.7
colorama==0.4.6
cryptography==43.0.3
dataclasses-json==0.6.7
deprecated==1.2.18
dirtyjson==1.0.8
distro==1.9.0
exceptiongroup==1.2.2; python_version < "3.11"
filetype==1.2.0
frozenlist==1.5.0
fsspec==2024.10.0
gitdb==4.0.11
gitpython==3.1.43
greenlet==3.1.1
griffe==1.7.3
h11==0.14.0
httpcore==1.0.7
httpx==0.27.2
idna==3.10
jinja2==3.1.4
jiter==0.7.1
joblib==1.4.2
jsonschema==4.23.0
jsonschema-specifications==2024.10.1
llama-index-core==0.12.43
llama-index-embeddings-azure-openai==0.3.8
llama-index-embeddings-openai==0.3.0
llama-index-instrumentation==0.2.0
llama-index-llms-azure-openai==0.3.4
llama-index-llms-openai==0.4.7
llama-index-readers-file==0.4.9
llama-index-workflows==0.2.2
markupsafe==3.0.2
marshmallow==3.23.1
msal==1.31.1
msal-extensions==1.2.0
multidict==6.1.0
mypy-extensions==1.0.0
narwhals==1.14.1
nest-asyncio==1.6.0
networkx==3.4.2
nltk==3.9.1
numpy==2.1.3
openai==1.90.0
packaging==24.2
pandas==2.2.3
pillow==11.0.0
platformdirs==4.3.8
portalocker==2.10.1
propcache==0.2.0
protobuf==6.31.1
pyarrow==18.0.0
pycparser==2.22; platform_python_implementation != "PyPy"
pydantic==2.11.7
pydantic-core==2.33.2
pydeck==0.9.1
pyjwt[crypto]==2.10.0
pypdf==5.1.0
python-dateutil==2.9.0.post0
pytz==2024.2
pywin32==308; platform_system == "Windows"
pyyaml==6.0.2
referencing==0.35.1
regex==2024.11.6
requests==2.32.3
rpds-py==0.21.0
setuptools==80.9.0
six==1.16.0
smmap==5.0.1
sniffio==1.3.1
soupsieve==2.6
sqlalchemy[asyncio]==2.0.36
streamlit==1.46.0
striprtf==0.0.26
tenacity==8.5.0
tiktoken==0.8.0
toml==0.10.2
tornado==6.4.2
tqdm==4.67.0
typing-extensions==4.12.2
typing-inspect==0.9.0
typing-inspection==0.4.1
tzdata==2024.2
urllib3==2.5.0
watchdog==6.0.0; platform_system != "Darwin"
wrapt==1.17.0
yarl==1.18.0
