=== debian/changelog ===
pdm (2.26.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mark-network-test.patch: Dropped, applied upstream.
  * debian/patches/update-test-to-use-correct-platform-alias.patch:
    Dropped, applied upstream.
  * debian/rules: Skip two more tests that need internet connection.
  * debian/watch: Update to version 5.
  * debian/patches/0002_fix_import.patch: Fix lintian format warnings.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 19:02:53 -0500

pdm (2.23.1-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit to mark some tests as requiring network.
  * Disable several failing tests.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Dec 2025 23:55:00 +0100

pdm (2.23.1-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS issue. Closes: #1118428.
  * Test only with the default python.

  [ Santiago Vila ]
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2025 18:55:00 +0100
