=== debian/control ===
Source: pdm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-blinker,
               python3-certifi,
               python3-dep-logic,
               python3-dotenv,
               python3-findpython,
               python3-filelock,
               python3-hishel (<< 1.0),
               python3-httpcore,
               python3-httpx,
               python3-id,
               python3-installer,
               python3-msgpack,
               python3-packaging,
               python3-pbs-installer,
               python3-pdm-backend,
               python3-pyproject-hooks,
               python3-platformdirs,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-rerunfailures <!nocheck>,
               python3-pytest-httpserver <!nocheck>,
               python3-pytest-httpx <!nocheck>,
               python3-resolvelib,
               python3-rich,
               python3-shellingham,
               python3-tomlkit,
               python3-truststore,
               python3-unearth,
               python3-virtualenv
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdm
Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git
Homepage: https://github.com/pdm-project/pdm

Package: python3-pdm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: next generation Python package management tool
 PDM is meant to be a next generation Python package management tool.
 If you feel you are going well with Pipenv or Poetry and don't want
 to introduce another package manager, just stick to it. But if you
 are missing something that is not present in those tools, you can
 probably find some goodness in pdm.
 .
 Highlights of features include:
  * Opt-in PEP 582 support, no virtualenv involved at all.
  * Simple and fast dependency resolver, mainly for large binary
    distributions.
  * A PEP 517 build backend.
  * PEP 621 project metadata.
  * Flexible and powerful plug-in system.
  * Versatile user scripts.
  * Opt-in centralized installation cache like pnpm.
