=== debian/watch ===
Version: 5

Source: https://github.com/pdm-project/pdm/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
Uversionmangle: s/a\d//
