## pdm 2.26.6

=== debian/changelog ===
pdm (2.26.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 10:34:28 -0500
