=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-dotenv,
                python3-findpython,
                python3-filelock,
-               python3-hishel (<< 1.0),
+               python3-hishel (>> 1.0),
                python3-httpcore,
                python3-httpx,
                python3-id,
